{
    attributes = (
        {
            columnName = "COMM_ID"; 
            externalType = NUMBER; 
            name = commId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "COMM_LIBELLE"; 
            externalType = VARCHAR2; 
            name = commLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "COMM_NUMERO"; 
            externalType = NUMBER; 
            name = commNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "COMM_REFERENCE"; 
            externalType = VARCHAR2; 
            name = commReference; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FOU_ORDRE"; 
            externalType = NUMBER; 
            name = fouOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYET_ID"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        commId, 
        exeOrdre, 
        commNumero, 
        tyetId, 
        fouOrdre, 
        commReference, 
        commLibelle, 
        utlOrdre
    ); 
    className = "org.cocktail.kiwi.server.metier.EOCommande"; 
    classProperties = (
        exeOrdre, 
        commNumero, 
        tyetId, 
        fouOrdre, 
        commReference, 
        commLibelle, 
        utlOrdre, 
        articles
    ); 
    externalName = "jefy_depense.COMMANDE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            exeOrdre, 
            commNumero, 
            tyetId, 
            fouOrdre, 
            commReference, 
            commLibelle, 
            utlOrdre, 
            articles
        ); 
        "_javaClientClassName" = "org.cocktail.kiwi.client.metier.budget.EOCommande"; 
        "_nameInObjectStore" = "JEFy_depense.COMMANDE"; 
    }; 
    name = Commande; 
    primaryKeyAttributes = (commId); 
    relationships = (
        {
            destination = Article; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = commId; sourceAttribute = commId; }); 
            name = articles; 
        }
    ); 
}
